Subject: Re: [PATCH V2 2/2] mtd/maps/mtd-ram: add an of-platform driver

From: Albrecht Dreß <[email-masked]>
Date: Tue, 16 Jun 2009 19:19:06 +0200

Am 16.06.09 14:53 schrieb(en) Grant Likely:
> I'm not happy about the use case though.  It probably shouldn't  
> appear in this binding, or if it does it should be tagged as an  
> optional property.

I agree with you that the naming is really misleading - other devices  
which are not mtd's may suffer from the same problem of the lpb (in my  
case, I have an extra memory-mapped Ethernet chip which I didn't try to  
access yet...).

As it is actually a chip select property, what about defining an  
optional property like "cs-width = (8|16|32)" which defaults to 8 and  
may be added to each 5200 lpb child?

> It is only in the 5200 localplus case that bank-width is needed to  
> figure out how to apply the workaround.

Just out of curiosity: what about the "localbus" of other Freescale  
chips (82xx? 83xx? Maybe others?)?

Thanks, Albrecht.